Subject: Re: bug#32337: 26.1; display-line-numbers-mode makes cursor ill-aligned when number face is changed

From: Carlos Pita <[email-masked]>
Date: Tue, 25 Sep 2018 16:40:43 -0300

> Isn't it possible to use the smaller font just
> for the beginning of the line, as it is for the lines above EOB?

I mean, you're already computing the width as if the numbers would go
down up to the bottom of the window and then filling them with spaces
instead of numbers when below EOB, it seems to me that treating
below-EOB lines the same way than above-EOB ones (in the sense of
limiting the display number face only to the first columns of the
buffer) isn't that removed from the current algorithm, although from a
cursory look I recognize I'm no quite following the code.